Subject: Re: 440GX MMU problem

From: Matt Porter <[email-masked]>
Date: Fri, 3 Dec 2004 11:05:45 -0700

On Fri, Dec 03, 2004 at 06:12:31AM -0600, Barbier, Renaud (GE Infrastructure) wrote:
> 
> I am using linux 2.4.26 on a 440GX with 512MB of SDRAM.
> >From U-boot I can see the whole memory.
> If I boot Linux, unless I set the boot parameter mem=256M (or less).
> it will not boot. Linux does not seem to go further than the MMU_setup.

Verified that the 440GX eval with 512MB works on both 2.4.26 and current
2.4. Works For Me(tm).
 
> Any idea why it cannot use 512MB?

A broken board port would do it. If you deviate for any reason
from the stock kernel configuration you can shoot yourself in the
foot real fast. If you can provide some details on your custom
board and port, somebody may be able to help you.

-Matt